#
# @(#)S509Wnn6	1.2 99/11/22; SMI
#
# Launch X Input Method Server for Wnn6.
#

if [ -x /usr/openwin/bin/htt -a -f /usr/openwin/lib/locale/ja/xim/xjsi.so ]
then
	# OpenWindows
	if [ "_$_sunximswm" = "_olwm" ] ; then
		LC_ALL=ja XFILESEARCHPATH=/usr/openwin/lib/locale/ja/%T/%N%S toolwait /usr/openwin/bin/htt -if xjsi -so -lc_basiclocale ja
	# CDE
	else
		LC_ALL=ja XFILESEARCHPATH=/usr/openwin/lib/locale/ja/%T/%N%S /usr/openwin/bin/htt -if xjsi -so -nosm -lc_basiclocale ja
	fi
	DISABLE_MULTI_SCRIPT_IM=true; export DISABLE_MULTI_SCRIPT_IM
	unset DTSTARTIMS
fi
